%define ver 7_2_2
%define tkdiffrev 1.12

Summary:	Tk interface for CVS
Name:		tkcvs
Version: 	7.2.2
Release: 	%mkrel 1
License:	GPL
Group:		Development/Other

Source:		http://www.twobarleycorns.net/%{name}-%{version}.tar.bz2
Patch:		tkcvs-7.2.2-paths.patch.bz2

Url: 		http://www.twobarleycorns.net/tkcvs.html
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tk cvs
BuildArch:	noarch
Epoch:		1

%description
tkCVS is a Tk based graphical interface to the CVS configuration
management system.  It includes facilities for providing "user
friendly" names to modules and directories within the repository, and
provides a facility to interactively browse the repository looking for
modules and directories.

%prep
%setup -q -n %{name}_%ver
%patch -p1 -b .paths

%install
rm -fr %buildroot

install -d %buildroot/%_bindir/
install -d %buildroot/%_datadir/tkcvs/bitmaps
install -d %buildroot/%_mandir/man1

install tkcvs/tkcvs.tcl %buildroot/%_bindir/tkcvs
install tkdiff/tkdiff %buildroot/%_bindir/tkdiff
install tkcvs/*.tcl       %buildroot/%_datadir/tkcvs
install tkcvs/tclIndex    %buildroot/%_datadir/tkcvs
install bitmaps/*         %buildroot/%_datadir/tkcvs/bitmaps/
install tkcvs/*.1         %buildroot/%_mandir/man1
rm -f %buildroot/%_mandir/tkcvs/tkcvs_def.tcl
install -d %buildroot/%_sysconfdir/cvs/
install tkcvs/tkcvs_def.tcl %buildroot/%_sysconfdir/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/COPYING tkdiff.COPYING 

# Menu support
install -d %buildroot/%_menudir/ 
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): needs=x11 \
icon="development_tools_section.png" \
section="Applications/Development/Tools" \
title=TkCVS longtitle="Graphical HMI for CVS" \
command="tkcvs"

?package(%{name}): needs=x11 \
icon="development_tools_section.png" \
section="Applications/Development/Tools" \
title="TkDiff" \
longtitle="Graphical HMI for diff" \
command="tkdiff"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ CHANGELOG tkdiff.COPYING
%attr(755,root,root) %_bindir/*
%{_datadir}/tkcvs/*.tcl
%dir %{_datadir}/tkcvs/
%dir %{_datadir}/tkcvs/bitmaps/
%{_datadir}/tkcvs/tclIndex
%_menudir/%{name}
%_mandir/man*/*
%{_datadir}/tkcvs/bitmaps/*
%config(noreplace) %_sysconfdir/cvs/tkcvs_def.tcl

%changelog
* Wed Feb 09 2005 Frederic Lepied <flepied@mandrakesoft.com> 1:7.2.2-1mdk
- New release 7.2.2

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 7.2-3mdk
- Rebuild with new menu

* Wed Jun 02 2004 Michael Scherer <misc@mandrake.org> 7.2-2mdk 
- [DIRM]
- allows to use %%dir

* Tue Jan 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 7.2-1mdk
- 7.2

* Fri Dec 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 7.1.4-1mdk
- 7.1.4
- tkdiff 4.0b4

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 7.1.2-3mdk
- rebuild

* Thu Feb 27 2003 David BAUDENS <baudens@mandrakesoft.com> 7.1.2-2mdk
- Fix icons

* Sun Dec 29 2002 Frederic Lepied <flepied@mandrakesoft.com> 7.1.2-1mdk
- 7.1.2

* Thu Dec  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 7.1.1-1mdk
- 7.1.1

* Sun Nov 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 7.1-1mdk
- 7.1

* Fri Feb  8 2002 Frederic Lepied <flepied@mandrakesoft.com> 7.0.3-1mdk
- 7.0.3

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 7.0.2-2mdk
- Fix menu entries (png icons)

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.0.2-1mdk
- new release

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 7.0-3mdk
- Really use new icons
- Fix update/clean_menus

* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- Use new icons

* Thu Jul 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 7.0-1mdk
- 7.0

* Mon Nov 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.4-2mdk
- added longtitles.

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.4-1mdk
- 6.4.

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 6.3-3mdk
- icons forever
- macroz..

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-2mdk
- noreplace

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-1mdk
- 6.3

* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3b3-1mdk
- 6.3b3

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.2b3-2mdk
- group fix.
- menu support.

* Tue Dec 28 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- change version
- Mandrake adaptations
- default cvsroot to /var/cvs

* Wed Dec 23 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release
